summaryrefslogtreecommitdiffstats
path: root/src/etc
diff options
context:
space:
mode:
authorP. J. McDermott <pjm@nac.net>2012-04-29 18:34:31 (EDT)
committer P. J. McDermott <pjm@nac.net>2012-04-29 18:34:31 (EDT)
commit78bbf902d1ae921a34bb8890abb6f332eda698d9 (patch)
tree4fcf6a6b6f03b0daca126d4c97bcd41d5bc926b8 /src/etc
parent63af5681ca49ec8d9477c3d3f4347262f0f846f3 (diff)
Add "telnetd" service.
Diffstat (limited to 'src/etc')
-rw-r--r--src/etc/init.d/telnetd22
1 files changed, 22 insertions, 0 deletions
diff --git a/src/etc/init.d/telnetd b/src/etc/init.d/telnetd
new file mode 100644
index 0000000..fba389c
--- /dev/null
+++ b/src/etc/init.d/telnetd
@@ -0,0 +1,22 @@
+#!/bin/sh
+
+case "${1}" in
+ start)
+ printf 'Starting telnetd...'
+ start-stop-daemon -S telnetd
+ printf 'done.'
+ ;;
+ stop)
+ printf 'Stopping telnetd... '
+ start-stop-daemon -K telnetd
+ printf 'done.'
+ ;;
+ restart)
+ "${0}" stop
+ "${0}" start
+ ;;
+ *)
+ printf 'Usage: %s {start|stop|restart}\n' "${0}"
+ exit 1
+ ;;
+esac